
ctools - Feature #353

ctobssim: Parallelize event simulations

07/20/2012 10:32 PM - Knödlseder Jürgen

Status: Closed Start date: 07/30/2012

Priority: Normal Due date:  

Assigned To:  % Done: 100%

Category:  Estimated time: 75.00 hours

Target version: 00-05-00   

Description

Subtasks:

Action # 355: Parallelize simulation loop Closed

Action # 356: Implement maximum number of threads as user parameter. Closed

Action # 354: Set deterministic seed values for each observation. Closed

History

#1 - 07/20/2012 10:32 PM - Knödlseder Jürgen

- Target version set to 00-05-00

#2 - 07/20/2012 10:41 PM - Knödlseder Jürgen

- Assigned To set to Anonymous

In case that ctobssim operates on a list of observations, ctobssim proceeds so far observation by observation. In principle, event simulations can be

done in parallel, and the possibility to parallelize event simulations should be implemented.

Note that ctobssim runs should be deterministic, hence the outcome should not depend on the fact that the simulations were run in series or in

parallel. In the actual configuration this is not the case, as successive calls to the random number generator give a deterministic series of values. The

state of the random generator at the end of the treatment of one observation will be the state at the beginning of the next observation. Thus, the

simulated values for observation N+1 depend so far on the simulated values for simulation N.

It should be investigated whether it is possible to add a parameter so that the maximum number of threads is a user parameter.

#3 - 09/14/2012 11:49 PM - Knödlseder Jürgen

- Status changed from New to Closed
